commit:     5086e10641adfda004c4906e47c660e4237dcc34
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  5 04:52:53 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Sat Jan  7 01:00:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5086e106

sci-mathematics/pymc3: initial import

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-mathematics/pymc3/Manifest             |  1 +
 sci-mathematics/pymc3/metadata.xml         | 18 +++++++++
 sci-mathematics/pymc3/pymc3-3.0_rc6.ebuild | 60 ++++++++++++++++++++++++++++++
 3 files changed, 79 insertions(+)

diff --git a/sci-mathematics/pymc3/Manifest b/sci-mathematics/pymc3/Manifest
new file mode 100644
index 00000000..4d99be0
--- /dev/null
+++ b/sci-mathematics/pymc3/Manifest
@@ -0,0 +1 @@
+DIST pymc3-3.0rc6.tar.gz 992525 SHA256 
8df5a190218d3eea2655915847aad9c87ae9719cc507c5c3e24ec4973408051d SHA512 
54534e07f61dbf1b499a2d9e249512d1475074bcf67612b36ab3b72456945eb6af4a450d6739195891f0d398612304861c23fe4a222304e1609240ba348f1792
 WHIRLPOOL 
251d85ac949569000d5b188a40645548389dbed8fd47f9f21ee6c6569805b3f5350185f6f0247022fd08e46fd4f41f137167b9eba3814e43afb88a09623d95f3

diff --git a/sci-mathematics/pymc3/metadata.xml 
b/sci-mathematics/pymc3/metadata.xml
new file mode 100644
index 00000000..d212131
--- /dev/null
+++ b/sci-mathematics/pymc3/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Mathematics Project</name>
+  </maintainer>
+  <longdescription lang="en">
+    PyMC3 is a Python package for Bayesian statistical modeling and
+    Probabilistic Machine Learning which focuses on advanced Markov
+    chain Monte Carlo and variational fitting algorithms. Its
+    flexibility and extensibility make it applicable to a large suite
+    of problems.
+  </longdescription>
+  <upstream>
+    <remote-id type="github">pymc-devs/pymc3</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/sci-mathematics/pymc3/pymc3-3.0_rc6.ebuild 
b/sci-mathematics/pymc3/pymc3-3.0_rc6.ebuild
new file mode 100644
index 00000000..ea20888
--- /dev/null
+++ b/sci-mathematics/pymc3/pymc3-3.0_rc6.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+MYP=${P/_}
+S="${WORKDIR}/${MYP}"
+
+DESCRIPTION="Bayesian Modeling and Probabilistic Machine Learning in Python"
+HOMEPAGE="http://pymc-devs.github.io/pymc3/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MYP}.tar.gz"
+
+SLOT=0
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+LICENSE="AFL-3.0"
+
+IUSE="test"
+
+RDEPEND="
+       <=dev-python/CommonMark-0.5.4[${PYTHON_USEDEP}]
+       >=dev-python/joblib-0.9[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.11[${PYTHON_USEDEP},lapack]
+       >=dev-python/matplotlib-1.5[${PYTHON_USEDEP}]
+       dev-python/nbsphinx[${PYTHON_USEDEP}]
+       dev-python/numpydoc[${PYTHON_USEDEP}]
+       >=dev-python/pandas-0.18[${PYTHON_USEDEP}]
+       >=dev-python/patsy-0.4[${PYTHON_USEDEP}]
+       >=dev-python/recommonmark-0.4[${PYTHON_USEDEP}]
+       dev-python/sphinx[${PYTHON_USEDEP}]
+       >=dev-python/theano-0.8.2[${PYTHON_USEDEP}]
+       >=dev-python/tqdm-4.8.4[${PYTHON_USEDEP}]
+       >=sci-libs/scipy-0.12[${PYTHON_USEDEP}]
+       virtual/python-enum34[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+
+DOCS=(CHANGELOG.md  CONTRIBUTING.md RELEASE-NOTES.md
+         CONDUCT.md GOVERNANCE.md README.rst)
+
+python_prepare_all() {
+       xdg_environment_reset
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       echo 'backend: agg' > matplotlibrc || die
+       virtx esetup.py test
+}

Reply via email to